## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CrystalSpace::SoftShader::InterpolateScanlinePersp< 0 > Struct Reference

Inheritance diagram for CrystalSpace::SoftShader::InterpolateScanlinePersp< 0 >:

[legend]
List of all members.

## Public Member Functions

void | Advance ()
| Advance a pixel right.
const ScanlineComp * | GetFloat (size_t) const
| Return an interpolated component.
void | Setup (const InterpolateEdgePersp &L, const InterpolateEdgePersp &R, uint len, int ipolStep, int ipolShift)
| Setup interpolation over a scanline, given left and right edge.

## Public Attributes

int | InterpolShift
| Interpolation shift.
int | InterpolStep
| Interpolation step.
int | ipx
| Remaining pixels for this interpolation span.
int | spans
| Remaining spans.

## Detailed Description

Definition at line 277 of file types.h.

## Member Function Documentation

void CrystalSpace::SoftShader::InterpolateScanlinePersp< 0 >::Advance | ( |  | ) | `[inline]`

| Advance a pixel right. Definition at line 308 of file types.h.

const ScanlineComp* CrystalSpace::SoftShader::InterpolateScanlinePersp< 0 >::GetFloat | ( | size_t |  | ) | const`[inline]`

| Return an interpolated component. But since we don't interpolate anything... Definition at line 332 of file types.h.

void CrystalSpace::SoftShader::InterpolateScanlinePersp< 0 >::Setup | ( | const InterpolateEdgePersp & | L,
|  | const InterpolateEdgePersp & | R,
|  | uint | len,
|  | int | ipolStep,
|  | int | ipolShift
| ) | `[inline]`

| Setup interpolation over a scanline, given left and right edge. Definition at line 289 of file types.h. References CrystalSpace::SoftShader::InterpolateEdgePersp::Iz.

## Member Data Documentation

int CrystalSpace::SoftShader::InterpolateScanlinePersp< 0 >::InterpolShift

| Interpolation shift. Definition at line 282 of file types.h.

int CrystalSpace::SoftShader::InterpolateScanlinePersp< 0 >::InterpolStep

| Interpolation step. Definition at line 280 of file types.h.

int CrystalSpace::SoftShader::InterpolateScanlinePersp< 0 >::ipx

| Remaining pixels for this interpolation span. Definition at line 284 of file types.h.

int CrystalSpace::SoftShader::InterpolateScanlinePersp< 0 >::spans

| Remaining spans. Definition at line 286 of file types.h.

The documentation for this struct was generated from the following file:

- csplugincommon/softshader/types.h